package com.liang.entity;

import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 费用管理实体类
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
public class FeeManagemant implements Serializable {

    private Integer id;
    private String zwmc;//项目中文名称
    private String erpbh;//ERP编号
    /**
     * 项目类型
     */
    private String xmlx;
    private String xmlxmc;
    /**
     * 项目负责人
     */
    private Integer xmfzr;
    private String xmfzrxm;
    /**
     * 所属部门
     */
    private Integer ssbm;
    private String ssbmmc;
    /**
     * 年份
     */
    private String nf;
    private Double ysje;//预算金额
    private Double xmzys;//项目总预算
    private Double xmz;//项目组金额
    private Double sqje;//已申请金额
    private Double bzje;//已报账金额
    private Double byj;//备用金
    private Double byjsqje;//备用金已申请金额
    private Double byjbzje;//备用金已报账金额
    private Double ye;//余额
    private Double byjye;//备用金余额
    private Double rzbfb;//入账百分比

    private BigDecimal WGYSJE;
    private BigDecimal SXYSJE;

    private String spzt;
    private String bh;

    public String getSpzt() {
        return spzt;
    }

    public void setSpzt(String spzt) {
        this.spzt = spzt;
    }

    public String getBh() {
        return bh;
    }

    public void setBh(String bh) {
        this.bh = bh;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getZwmc() {
        return zwmc;
    }

    public void setZwmc(String zwmc) {
        this.zwmc = zwmc;
    }

    public String getErpbh() {
        return erpbh;
    }

    public void setErpbh(String erpbh) {
        this.erpbh = erpbh;
    }

    public String getXmlx() {
        return xmlx;
    }

    public void setXmlx(String xmlx) {
        this.xmlx = xmlx;
    }

    public String getXmlxmc() {
        return xmlxmc;
    }

    public void setXmlxmc(String xmlxmc) {
        this.xmlxmc = xmlxmc;
    }

    public Integer getXmfzr() {
        return xmfzr;
    }

    public void setXmfzr(Integer xmfzr) {
        this.xmfzr = xmfzr;
    }

    public String getXmfzrxm() {
        return xmfzrxm;
    }

    public void setXmfzrxm(String xmfzrxm) {
        this.xmfzrxm = xmfzrxm;
    }

    public Integer getSsbm() {
        return ssbm;
    }

    public void setSsbm(Integer ssbm) {
        this.ssbm = ssbm;
    }

    public String getSsbmmc() {
        return ssbmmc;
    }

    public void setSsbmmc(String ssbmmc) {
        this.ssbmmc = ssbmmc;
    }

    public String getNf() {
        return nf;
    }

    public void setNf(String nf) {
        this.nf = nf;
    }

    public Double getYsje() {
        return ysje;
    }

    public void setYsje(Double ysje) {
        this.ysje = ysje;
    }

    public Double getXmz() {
        return xmz;
    }

    public void setXmz(Double xmz) {
        this.xmz = xmz;
    }

    public Double getSqje() {
        return sqje;
    }

    public void setSqje(Double sqje) {
        this.sqje = sqje;
    }

    public Double getBzje() {
        return bzje;
    }

    public void setBzje(Double bzje) {
        this.bzje = bzje;
    }

    public Double getByj() {
        return byj;
    }

    public void setByj(Double byj) {
        this.byj = byj;
    }

    public Double getByjsqje() {
        return byjsqje;
    }

    public void setByjsqje(Double byjsqje) {
        this.byjsqje = byjsqje;
    }

    public Double getByjbzje() {
        return byjbzje;
    }

    public void setByjbzje(Double byjbzje) {
        this.byjbzje = byjbzje;
    }

    public Double getYe() {
        return ye;
    }

    public void setYe(Double ye) {
        this.ye = ye;
    }

    public Double getByjye() {
        return byjye;
    }

    public void setByjye(Double byjye) {
        this.byjye = byjye;
    }

    public String getRzbfb() {
        /*return rzbfb * 100 + "%";*/
        return rzbfb != null ? (rzbfb * 100 + "%") :"0%";
    }

    public void setRzbfb(Double rzbfb) {
        this.rzbfb = rzbfb;
    }
}
